package com.steerinfo.baseinfo.meterbasevoice.model;

import com.steerinfo.framework.model.IBasePO;
import io.swagger.annotations.ApiModelProperty;
import java.util.Date;

public class MeterBaseVoice implements IBasePO<String> {
    /**
     * 语音编号(VOICE_NO,VARCHAR,20)
     */
    @ApiModelProperty(value="语音编号",required=true)
    private String voiceNo;

    /**
     * 语音名称(VOICE_NAME,VARCHAR,40)
     */
    @ApiModelProperty(value="语音名称",required=true)
    private String voiceName;

    /**
     * 声音文件名称(VOICE_FILE_NAME,VARCHAR,40)
     */
    @ApiModelProperty(value="声音文件名称",required=true)
    private String voiceFileName;

    /**
     * 声音文件类型(VOICE_FILE_TYPE,VARCHAR,20)
     */
    @ApiModelProperty(value="声音文件类型",required=true)
    private String voiceFileType;

    /**
     * 声音文件存放地址(VOICE_FILE_URL,VARCHAR,100)
     */
    @ApiModelProperty(value="声音文件存放地址",required=true)
    private String voiceFileUrl;

    /**
     * 版本号(VOICE_EDITION,VARCHAR,10)
     */
    @ApiModelProperty(value="版本号",required=false)
    private String voiceEdition;

    /**
     * 状态(VALID_FLAG,VARCHAR,1)
     */
    @ApiModelProperty(value="状态",required=false)
    private String validFlag;

    /**
     * 创建人编号(CREATE_MAN_NO,VARCHAR,20)
     */
    @ApiModelProperty(value="创建人编号",required=true)
    private String createManNo;

    /**
     * 创建人姓名(CREATE_MAN_NAME,VARCHAR,30)
     */
    @ApiModelProperty(value="创建人姓名",required=true)
    private String createManName;

    /**
     * 创建时间(CREATE_TIME,TIMESTAMP,7)
     */
    @ApiModelProperty(value="创建时间",required=true)
    private Date createTime;

    /**
     * 修改人编号(UPDATE_MAN_NO,VARCHAR,20)
     */
    @ApiModelProperty(value="修改人编号",required=false)
    private String updateManNo;

    /**
     * 修改人姓名(UPDATE_MAN_NAME,VARCHAR,30)
     */
    @ApiModelProperty(value="修改人姓名",required=false)
    private String updateManName;

    /**
     * 修改时间(UPDATE_TIME,TIMESTAMP,7)
     */
    @ApiModelProperty(value="修改时间",required=false)
    private Date updateTime;

    /**
     * 删除人编号(DELETE_MAN_NO,VARCHAR,20)
     */
    @ApiModelProperty(value="删除人编号",required=false)
    private String deleteManNo;

    /**
     * 删除人姓名(DELETE_MAN_NAME,VARCHAR,30)
     */
    @ApiModelProperty(value="删除人姓名",required=false)
    private String deleteManName;

    /**
     * 删除时间(DELETE_TIME,TIMESTAMP,7)
     */
    @ApiModelProperty(value="删除时间",required=false)
    private Date deleteTime;

    private static final long serialVersionUID = 1L;

    @Override
    public String getId() {
        return this.voiceNo;
    }

    @Override
    public void setId(String voiceNo) {
        this.voiceNo = voiceNo == null ? null : voiceNo.trim();
    }

    public String getVoiceNo() {
        return voiceNo;
    }

    public void setVoiceNo(String voiceNo) {
        this.voiceNo = voiceNo == null ? null : voiceNo.trim();
    }

    public String getVoiceName() {
        return voiceName;
    }

    public void setVoiceName(String voiceName) {
        this.voiceName = voiceName == null ? null : voiceName.trim();
    }

    public String getVoiceFileName() {
        return voiceFileName;
    }

    public void setVoiceFileName(String voiceFileName) {
        this.voiceFileName = voiceFileName == null ? null : voiceFileName.trim();
    }

    public String getVoiceFileType() {
        return voiceFileType;
    }

    public void setVoiceFileType(String voiceFileType) {
        this.voiceFileType = voiceFileType == null ? null : voiceFileType.trim();
    }

    public String getVoiceFileUrl() {
        return voiceFileUrl;
    }

    public void setVoiceFileUrl(String voiceFileUrl) {
        this.voiceFileUrl = voiceFileUrl == null ? null : voiceFileUrl.trim();
    }

    public String getVoiceEdition() {
        return voiceEdition;
    }

    public void setVoiceEdition(String voiceEdition) {
        this.voiceEdition = voiceEdition == null ? null : voiceEdition.trim();
    }

    public String getValidFlag() {
        return validFlag;
    }

    public void setValidFlag(String validFlag) {
        this.validFlag = validFlag == null ? null : validFlag.trim();
    }

    public String getCreateManNo() {
        return createManNo;
    }

    public void setCreateManNo(String createManNo) {
        this.createManNo = createManNo == null ? null : createManNo.trim();
    }

    public String getCreateManName() {
        return createManName;
    }

    public void setCreateManName(String createManName) {
        this.createManName = createManName == null ? null : createManName.trim();
    }

    public Date getCreateTime() {
        return createTime;
    }

    public void setCreateTime(Date createTime) {
        this.createTime = createTime;
    }

    public String getUpdateManNo() {
        return updateManNo;
    }

    public void setUpdateManNo(String updateManNo) {
        this.updateManNo = updateManNo == null ? null : updateManNo.trim();
    }

    public String getUpdateManName() {
        return updateManName;
    }

    public void setUpdateManName(String updateManName) {
        this.updateManName = updateManName == null ? null : updateManName.trim();
    }

    public Date getUpdateTime() {
        return updateTime;
    }

    public void setUpdateTime(Date updateTime) {
        this.updateTime = updateTime;
    }

    public String getDeleteManNo() {
        return deleteManNo;
    }

    public void setDeleteManNo(String deleteManNo) {
        this.deleteManNo = deleteManNo == null ? null : deleteManNo.trim();
    }

    public String getDeleteManName() {
        return deleteManName;
    }

    public void setDeleteManName(String deleteManName) {
        this.deleteManName = deleteManName == null ? null : deleteManName.trim();
    }

    public Date getDeleteTime() {
        return deleteTime;
    }

    public void setDeleteTime(Date deleteTime) {
        this.deleteTime = deleteTime;
    }

    @Override
    public String toString() {
        StringBuilder sb = new StringBuilder();
        sb.append(getClass().getSimpleName());
        sb.append(" [");
        sb.append("Hash = ").append(hashCode());
        sb.append(", voiceNo=").append(voiceNo);
        sb.append(", voiceName=").append(voiceName);
        sb.append(", voiceFileName=").append(voiceFileName);
        sb.append(", voiceFileType=").append(voiceFileType);
        sb.append(", voiceFileUrl=").append(voiceFileUrl);
        sb.append(", voiceEdition=").append(voiceEdition);
        sb.append(", validFlag=").append(validFlag);
        sb.append(", createManNo=").append(createManNo);
        sb.append(", createManName=").append(createManName);
        sb.append(", createTime=").append(createTime);
        sb.append(", updateManNo=").append(updateManNo);
        sb.append(", updateManName=").append(updateManName);
        sb.append(", updateTime=").append(updateTime);
        sb.append(", deleteManNo=").append(deleteManNo);
        sb.append(", deleteManName=").append(deleteManName);
        sb.append(", deleteTime=").append(deleteTime);
        sb.append(", serialVersionUID=").append(serialVersionUID);
        sb.append("]");
        return sb.toString();
    }
}